<?php
if(!empty($_SESSION['admin_connect_id']))
{
if(!isset($_GET['id'])){
  include("pages/404.php");
 }
 else
 {


$id=mysqli_real_escape_string($con,htmlspecialchars(trim($_GET['id']))) ;
$req_get="SELECT * FROM planning where id='$id'";
$query_get=mysqli_query($con,$req_get);

$data= mysqli_fetch_array($query_get); 

?>
<h4 class="title"><i class="fa fa-calendar-alt"></i> Modifier le planning</h4>
  <div class="row">
              <div class="col-lg-12">
                  <div class="form-panel">
                    <form id="form" method="" class="form-horizontal" action=""  enctype="multipart/form-data">
                     <input type="hidden" name="id" value="<?php echo $data['id']; ?>">
                    
                    
                      <div class="form-group">
                      <div class="col-sm-6 col-xs-12">
                      <label>Heur </label>
                      <input type="time"required="required"  class="form-control" 
                      value="<?php echo $data['plnheure']; ?>" id="heure" name="heure">
                      </div>
                      </div> 

   <div class="form-group">
                        <div class="col-sm-6 col-xs-12">
                      <label>Unité </label>
                    

   <select name="unite" class="form-control" id="unite" >
         
                        <option value="0">sélectionnez l'unité</option>
                        <?php
                        $q_dep  = mysqli_query($con,"SELECT * FROM unite");
                         while ($dep = mysqli_fetch_array($q_dep)) {
                        ?>
<option value="<?php echo $dep['id'] ?>" <?php if($data['plnunite']==$dep['id']){ echo "selected";} ?>><?php echo $dep['uninom'] ?></option>
                      <?php  }  ?>
                                          
                        
                      </select>


                      </div>
                      </div>

  <div class="form-group">
                      <div class="col-sm-6 col-xs-12">
                      <label>Destination  </label>
        
                      <select  name="destinations" class="form-control" id="destinations" >
                         
                        <option value="0">sélectionnez la Destination </option>
                        <?php
                       $reqq= "SELECT * FROM destinations";
                        $q_destinations  = mysqli_query($con,$reqq);
                         while ($destinations = mysqli_fetch_array($q_destinations)) {
                        ?>
<option value="<?php echo $destinations['id'] ?>" <?php if($data['plndest']==$destinations['id']){ echo "selected";} ?>><?php echo $destinations['dstnom'] ?></option>
                      <?php  }  ?>
                                          
                        
                      </select>
                      </div>
                      </div> 


                         <div class="form-group">
                      <div class="col-sm-6 col-xs-12">
                      <label>Parcours</label>
        
                      <select name="parcours" id="parcours" class="form-control"  >
                         <option value="0">sélectionnez le parcours</option>
                          <?php
                       $reqq= "SELECT * FROM parcours";
                        $q_parcours  = mysqli_query($con,$reqq);
                         while ($parcours = mysqli_fetch_array($q_parcours)) {
                        ?>
<option value="<?php echo $parcours['id'] ?>" <?php if($data['plnpar']==$parcours['id']){ echo "selected";} ?>><?php echo $parcours['parnom'] ?></option>
                      <?php  }  ?>
                                     
                      </select>
                      </div>
                      </div> 



   <div class="form-group">
                      <div class="col-sm-6 col-xs-12">
                      <label>Client</label>
        
                      <select name="client" class="form-control" >
                         
                        <option value="0">sélectionnez le client</option>
                        <?php
                       $reqclient= "SELECT * FROM clients";
                        $q_client  = mysqli_query($con,$reqclient);
                         while ($client = mysqli_fetch_array($q_client)) {
                        ?>
  <option value="<?php echo $client['id'] ?>" <?php if($data['plnclient']==$client['id']){ echo "selected";} ?> ><?php echo $client['clinom'] ?></option>
                      <?php  }  ?>
                                          
                        
                      </select>
                      </div>
                      </div> 


              <div class="form-group">
                         <div class="col-sm-6 col-xs-12">
              <input type="submit" id="modifier" class="btn btn-primary btn-block" value="modifier">
                     </div>
                     </div>
                <div class="input-group message col-sm-6" id="mess">

              </div>
                </form>

                  </div>
        </div>
  </div>


<script type="text/javascript" src="assets/js/jquery.validate.js"></script>
<script type="text/javascript">
$(document).ready( function () {
    $('#destinations').on('change', function() {
          /* var destinations=$('#destinations  option:selected').attr('class');*/

         var destinations= $('#destinations option:selected').val();
         var unite= $('#unite option:selected').val();
         if(destinations != '0' && unite != '0' ) {
                               $("#parcours").prop('disabled', false);
              }else {
                 $('#destinations').val('0');
               $("#parcours").prop('disabled', true);
              

              }
   $.post("actions/l_parcours.php?dest="+destinations+"&unite="+unite, function(data){
        $('#parcours').html(data);

            });
         });


  
$("#g_planning").addClass("active");
document.title = 'Modifier planning ';

   jQuery.validator.addMethod('selectcheck', function (value) {
    return (value != '0');

    }, "type required");
$("#form").validate({
submitHandler: function(form) {
$.ajax({
 url: 'actions/planning/modifier.php',
 type: "POST",
 data: new FormData(form),
 contentType: false,
 cache: false,
 processData: false,
 success: function(data){
  if(data == 1){


          $("#mess").html('<div class="alert alert-success">  <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>   <strong>Modification avec succès </strong> </div>')  ;
               setTimeout(function() {
               /*location.reload();*/
                window.location.href ="index.php?p=planning";
               }, 2000);
    } else  {
     $("#mess").html('<div class="alert alert-danger">  <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>   <strong>Erreur.</strong> </div>')  ;

     }
},
 error: function(){}
 });
  } ,
               rules: {
               heure: "required",
               unite: "selectcheck",
               parcours: "selectcheck",
               destinations: "selectcheck",
               client: "selectcheck"


                               },
                messages: {
                        heure: "Entrez l'heur ",
                        unite: "sélectionnez l'unité",  
                        destinations: "sélectionnez la destination",  
                        parcours: "sélectionnez la destination",  
                        client: "sélectionnez le client",  

                                                },
                errorElement: "em",
                errorPlacement: function ( error, element ) {

                    error.addClass( "help-block" );

                    element.parents( ".col-sm-6" ).addClass( "has-feedback" );

                    if ( element.prop( "type" ) === "checkbox" ) {
                        error.insertAfter( element.parent( "label" ) );
                    } else {
                        error.insertAfter( element );
                    }

                },

                highlight: function ( element, errorClass, validClass ) {
                    $( element ).parents( ".col-sm-6" ).addClass( "has-error" ).removeClass( "has-success" );
                    $( element ).next( "span" ).addClass( "glyphicon-remove" ).removeClass( "glyphicon-ok" );
                },
                unhighlight: function ( element, errorClass, validClass ) {
                    $( element ).parents( ".col-sm-6" ).addClass( "has-success" ).removeClass( "has-error" );
                    $( element ).next( "span" ).addClass( "glyphicon-ok" ).removeClass( "glyphicon-remove" );
                }
            } );
        } );


</script>
<?php } 

}else{  

 include("../404.php");  } ?>